Bug 246911 - Initscript Review - dircproxy
Summary: Initscript Review - dircproxy
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: dircproxy   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: InitscriptStatus
TreeView+ depends on / blocked
 
Reported: 2007-07-05 13:49 UTC by Harald Hoyer
Modified: 2008-11-07 22:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 22:52:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harald Hoyer 2007-07-05 13:49:32 UTC
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.

Comment 1 Jarod Wilson 2008-02-26 17:41:28 UTC
Setting to NEEDINFO, mostly just to get it the heck out of my default bugzilla
query until someone figures out what we're actually doing on this front (if
anything).

Comment 2 Bug Zapper 2008-05-14 03:02:13 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Jarod Wilson 2008-06-09 18:02:57 UTC
Nggh. Stupid bug zapper...

Comment 4 Kevin Fenzi 2008-11-07 22:52:50 UTC
This service is not on by default, and LSB headers are optional. 

Closing -> NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.